commit bae780e4209ad2e412b3c6dd2342479bed831386
Author: Ken Gaillot <kgaillot@redhat.com>
Date:   Tue Aug 29 20:06:54 2017 -0500

    Test: pengine: update regression tests for master score change

Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/one-or-more-unrunnnable-instances.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/one-or-more-unrunnnable-instances.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/one-or-more-unrunnnable-instances.scores
@@ -446,21 +446,21 @@ clone_color: galera:2 allocation score o
 clone_color: galera:3 allocation score on mrg-07: -INFINITY
 clone_color: galera:3 allocation score on mrg-08: -INFINITY
 clone_color: galera:3 allocation score on mrg-09: -INFINITY
-clone_color: galera:3 allocation score on rdo7-node1: 0
-clone_color: galera:3 allocation score on rdo7-node2: 0
-clone_color: galera:3 allocation score on rdo7-node3: 0
+clone_color: galera:3 allocation score on rdo7-node1: 100
+clone_color: galera:3 allocation score on rdo7-node2: 100
+clone_color: galera:3 allocation score on rdo7-node3: 100
 clone_color: galera:4 allocation score on mrg-07: -INFINITY
 clone_color: galera:4 allocation score on mrg-08: -INFINITY
 clone_color: galera:4 allocation score on mrg-09: -INFINITY
-clone_color: galera:4 allocation score on rdo7-node1: 0
-clone_color: galera:4 allocation score on rdo7-node2: 0
-clone_color: galera:4 allocation score on rdo7-node3: 0
+clone_color: galera:4 allocation score on rdo7-node1: 100
+clone_color: galera:4 allocation score on rdo7-node2: 100
+clone_color: galera:4 allocation score on rdo7-node3: 100
 clone_color: galera:5 allocation score on mrg-07: -INFINITY
 clone_color: galera:5 allocation score on mrg-08: -INFINITY
 clone_color: galera:5 allocation score on mrg-09: -INFINITY
-clone_color: galera:5 allocation score on rdo7-node1: 0
-clone_color: galera:5 allocation score on rdo7-node2: 0
-clone_color: galera:5 allocation score on rdo7-node3: 0
+clone_color: galera:5 allocation score on rdo7-node1: 100
+clone_color: galera:5 allocation score on rdo7-node2: 100
+clone_color: galera:5 allocation score on rdo7-node3: 100
 clone_color: glance-api-clone allocation score on mrg-07: -INFINITY
 clone_color: glance-api-clone allocation score on mrg-08: -INFINITY
 clone_color: glance-api-clone allocation score on mrg-09: -INFINITY
@@ -1688,21 +1688,21 @@ clone_color: redis:2 allocation score on
 clone_color: redis:3 allocation score on mrg-07: -INFINITY
 clone_color: redis:3 allocation score on mrg-08: -INFINITY
 clone_color: redis:3 allocation score on mrg-09: -INFINITY
-clone_color: redis:3 allocation score on rdo7-node1: 0
-clone_color: redis:3 allocation score on rdo7-node2: 0
-clone_color: redis:3 allocation score on rdo7-node3: 0
+clone_color: redis:3 allocation score on rdo7-node1: 1000
+clone_color: redis:3 allocation score on rdo7-node2: 1
+clone_color: redis:3 allocation score on rdo7-node3: 1
 clone_color: redis:4 allocation score on mrg-07: -INFINITY
 clone_color: redis:4 allocation score on mrg-08: -INFINITY
 clone_color: redis:4 allocation score on mrg-09: -INFINITY
-clone_color: redis:4 allocation score on rdo7-node1: 0
-clone_color: redis:4 allocation score on rdo7-node2: 0
-clone_color: redis:4 allocation score on rdo7-node3: 0
+clone_color: redis:4 allocation score on rdo7-node1: 1000
+clone_color: redis:4 allocation score on rdo7-node2: 1
+clone_color: redis:4 allocation score on rdo7-node3: 1
 clone_color: redis:5 allocation score on mrg-07: -INFINITY
 clone_color: redis:5 allocation score on mrg-08: -INFINITY
 clone_color: redis:5 allocation score on mrg-09: -INFINITY
-clone_color: redis:5 allocation score on rdo7-node1: 0
-clone_color: redis:5 allocation score on rdo7-node2: 0
-clone_color: redis:5 allocation score on rdo7-node3: 0
+clone_color: redis:5 allocation score on rdo7-node1: 1000
+clone_color: redis:5 allocation score on rdo7-node2: 1
+clone_color: redis:5 allocation score on rdo7-node3: 1
 clone_color: swift-account-clone allocation score on mrg-07: -INFINITY
 clone_color: swift-account-clone allocation score on mrg-08: -INFINITY
 clone_color: swift-account-clone allocation score on mrg-09: -INFINITY
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-reconnect-delay.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-reconnect-delay.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-reconnect-delay.scores
@@ -56,10 +56,10 @@ clone_color: stateful-1:3 allocation sco
 clone_color: stateful-1:3 allocation score on rhel7-4: 0
 clone_color: stateful-1:3 allocation score on rhel7-5: 6
 clone_color: stateful-1:4 allocation score on remote-rhel7-3: -INFINITY
-clone_color: stateful-1:4 allocation score on rhel7-1: 0
-clone_color: stateful-1:4 allocation score on rhel7-2: 0
-clone_color: stateful-1:4 allocation score on rhel7-4: 0
-clone_color: stateful-1:4 allocation score on rhel7-5: 0
+clone_color: stateful-1:4 allocation score on rhel7-1: 5
+clone_color: stateful-1:4 allocation score on rhel7-2: 10
+clone_color: stateful-1:4 allocation score on rhel7-4: 5
+clone_color: stateful-1:4 allocation score on rhel7-5: 5
 group_color: group-1 allocation score on remote-rhel7-3: 0
 group_color: group-1 allocation score on rhel7-1: 0
 group_color: group-1 allocation score on rhel7-2: 0
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-all.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-all.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-all.scores
@@ -39,8 +39,8 @@ clone_color: galera:2 allocation score o
 clone_color: galera:3 allocation score on controller-0: -INFINITY
 clone_color: galera:3 allocation score on controller-1: -INFINITY
 clone_color: galera:3 allocation score on controller-2: -INFINITY
-clone_color: galera:3 allocation score on galera-0: 0
-clone_color: galera:3 allocation score on galera-1: 0
+clone_color: galera:3 allocation score on galera-0: 100
+clone_color: galera:3 allocation score on galera-1: 100
 clone_color: galera:3 allocation score on galera-2: 0
 clone_color: galera:3 allocation score on messaging-0: -INFINITY
 clone_color: galera:3 allocation score on messaging-1: -INFINITY
@@ -48,8 +48,8 @@ clone_color: galera:3 allocation score o
 clone_color: galera:4 allocation score on controller-0: -INFINITY
 clone_color: galera:4 allocation score on controller-1: -INFINITY
 clone_color: galera:4 allocation score on controller-2: -INFINITY
-clone_color: galera:4 allocation score on galera-0: 0
-clone_color: galera:4 allocation score on galera-1: 0
+clone_color: galera:4 allocation score on galera-0: 100
+clone_color: galera:4 allocation score on galera-1: 100
 clone_color: galera:4 allocation score on galera-2: 0
 clone_color: galera:4 allocation score on messaging-0: -INFINITY
 clone_color: galera:4 allocation score on messaging-1: -INFINITY
@@ -57,8 +57,8 @@ clone_color: galera:4 allocation score o
 clone_color: galera:5 allocation score on controller-0: -INFINITY
 clone_color: galera:5 allocation score on controller-1: -INFINITY
 clone_color: galera:5 allocation score on controller-2: -INFINITY
-clone_color: galera:5 allocation score on galera-0: 0
-clone_color: galera:5 allocation score on galera-1: 0
+clone_color: galera:5 allocation score on galera-0: 100
+clone_color: galera:5 allocation score on galera-1: 100
 clone_color: galera:5 allocation score on galera-2: 0
 clone_color: galera:5 allocation score on messaging-0: -INFINITY
 clone_color: galera:5 allocation score on messaging-1: -INFINITY
@@ -66,8 +66,8 @@ clone_color: galera:5 allocation score o
 clone_color: galera:6 allocation score on controller-0: -INFINITY
 clone_color: galera:6 allocation score on controller-1: -INFINITY
 clone_color: galera:6 allocation score on controller-2: -INFINITY
-clone_color: galera:6 allocation score on galera-0: 0
-clone_color: galera:6 allocation score on galera-1: 0
+clone_color: galera:6 allocation score on galera-0: 100
+clone_color: galera:6 allocation score on galera-1: 100
 clone_color: galera:6 allocation score on galera-2: 0
 clone_color: galera:6 allocation score on messaging-0: -INFINITY
 clone_color: galera:6 allocation score on messaging-1: -INFINITY
@@ -75,8 +75,8 @@ clone_color: galera:6 allocation score o
 clone_color: galera:7 allocation score on controller-0: -INFINITY
 clone_color: galera:7 allocation score on controller-1: -INFINITY
 clone_color: galera:7 allocation score on controller-2: -INFINITY
-clone_color: galera:7 allocation score on galera-0: 0
-clone_color: galera:7 allocation score on galera-1: 0
+clone_color: galera:7 allocation score on galera-0: 100
+clone_color: galera:7 allocation score on galera-1: 100
 clone_color: galera:7 allocation score on galera-2: 0
 clone_color: galera:7 allocation score on messaging-0: -INFINITY
 clone_color: galera:7 allocation score on messaging-1: -INFINITY
@@ -84,8 +84,8 @@ clone_color: galera:7 allocation score o
 clone_color: galera:8 allocation score on controller-0: -INFINITY
 clone_color: galera:8 allocation score on controller-1: -INFINITY
 clone_color: galera:8 allocation score on controller-2: -INFINITY
-clone_color: galera:8 allocation score on galera-0: 0
-clone_color: galera:8 allocation score on galera-1: 0
+clone_color: galera:8 allocation score on galera-0: 100
+clone_color: galera:8 allocation score on galera-1: 100
 clone_color: galera:8 allocation score on galera-2: 0
 clone_color: galera:8 allocation score on messaging-0: -INFINITY
 clone_color: galera:8 allocation score on messaging-1: -INFINITY
@@ -306,54 +306,54 @@ clone_color: redis:2 allocation score on
 clone_color: redis:2 allocation score on messaging-0: -INFINITY
 clone_color: redis:2 allocation score on messaging-1: -INFINITY
 clone_color: redis:2 allocation score on messaging-2: -INFINITY
-clone_color: redis:3 allocation score on controller-0: 0
+clone_color: redis:3 allocation score on controller-0: 1
 clone_color: redis:3 allocation score on controller-1: 0
-clone_color: redis:3 allocation score on controller-2: 0
+clone_color: redis:3 allocation score on controller-2: 1
 clone_color: redis:3 allocation score on galera-0: -INFINITY
 clone_color: redis:3 allocation score on galera-1: -INFINITY
 clone_color: redis:3 allocation score on galera-2: -INFINITY
 clone_color: redis:3 allocation score on messaging-0: -INFINITY
 clone_color: redis:3 allocation score on messaging-1: -INFINITY
 clone_color: redis:3 allocation score on messaging-2: -INFINITY
-clone_color: redis:4 allocation score on controller-0: 0
+clone_color: redis:4 allocation score on controller-0: 1
 clone_color: redis:4 allocation score on controller-1: 0
-clone_color: redis:4 allocation score on controller-2: 0
+clone_color: redis:4 allocation score on controller-2: 1
 clone_color: redis:4 allocation score on galera-0: -INFINITY
 clone_color: redis:4 allocation score on galera-1: -INFINITY
 clone_color: redis:4 allocation score on galera-2: -INFINITY
 clone_color: redis:4 allocation score on messaging-0: -INFINITY
 clone_color: redis:4 allocation score on messaging-1: -INFINITY
 clone_color: redis:4 allocation score on messaging-2: -INFINITY
-clone_color: redis:5 allocation score on controller-0: 0
+clone_color: redis:5 allocation score on controller-0: 1
 clone_color: redis:5 allocation score on controller-1: 0
-clone_color: redis:5 allocation score on controller-2: 0
+clone_color: redis:5 allocation score on controller-2: 1
 clone_color: redis:5 allocation score on galera-0: -INFINITY
 clone_color: redis:5 allocation score on galera-1: -INFINITY
 clone_color: redis:5 allocation score on galera-2: -INFINITY
 clone_color: redis:5 allocation score on messaging-0: -INFINITY
 clone_color: redis:5 allocation score on messaging-1: -INFINITY
 clone_color: redis:5 allocation score on messaging-2: -INFINITY
-clone_color: redis:6 allocation score on controller-0: 0
+clone_color: redis:6 allocation score on controller-0: 1
 clone_color: redis:6 allocation score on controller-1: 0
-clone_color: redis:6 allocation score on controller-2: 0
+clone_color: redis:6 allocation score on controller-2: 1
 clone_color: redis:6 allocation score on galera-0: -INFINITY
 clone_color: redis:6 allocation score on galera-1: -INFINITY
 clone_color: redis:6 allocation score on galera-2: -INFINITY
 clone_color: redis:6 allocation score on messaging-0: -INFINITY
 clone_color: redis:6 allocation score on messaging-1: -INFINITY
 clone_color: redis:6 allocation score on messaging-2: -INFINITY
-clone_color: redis:7 allocation score on controller-0: 0
+clone_color: redis:7 allocation score on controller-0: 1
 clone_color: redis:7 allocation score on controller-1: 0
-clone_color: redis:7 allocation score on controller-2: 0
+clone_color: redis:7 allocation score on controller-2: 1
 clone_color: redis:7 allocation score on galera-0: -INFINITY
 clone_color: redis:7 allocation score on galera-1: -INFINITY
 clone_color: redis:7 allocation score on galera-2: -INFINITY
 clone_color: redis:7 allocation score on messaging-0: -INFINITY
 clone_color: redis:7 allocation score on messaging-1: -INFINITY
 clone_color: redis:7 allocation score on messaging-2: -INFINITY
-clone_color: redis:8 allocation score on controller-0: 0
+clone_color: redis:8 allocation score on controller-0: 1
 clone_color: redis:8 allocation score on controller-1: 0
-clone_color: redis:8 allocation score on controller-2: 0
+clone_color: redis:8 allocation score on controller-2: 1
 clone_color: redis:8 allocation score on galera-0: -INFINITY
 clone_color: redis:8 allocation score on galera-1: -INFINITY
 clone_color: redis:8 allocation score on galera-2: -INFINITY
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-connection.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-connection.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-connection.scores
@@ -39,54 +39,54 @@ clone_color: galera:2 allocation score o
 clone_color: galera:3 allocation score on controller-0: -INFINITY
 clone_color: galera:3 allocation score on controller-1: -INFINITY
 clone_color: galera:3 allocation score on controller-2: -INFINITY
-clone_color: galera:3 allocation score on galera-0: 0
-clone_color: galera:3 allocation score on galera-1: 0
-clone_color: galera:3 allocation score on galera-2: 0
+clone_color: galera:3 allocation score on galera-0: 100
+clone_color: galera:3 allocation score on galera-1: 100
+clone_color: galera:3 allocation score on galera-2: 100
 clone_color: galera:3 allocation score on messaging-0: -INFINITY
 clone_color: galera:3 allocation score on messaging-1: -INFINITY
 clone_color: galera:3 allocation score on messaging-2: -INFINITY
 clone_color: galera:4 allocation score on controller-0: -INFINITY
 clone_color: galera:4 allocation score on controller-1: -INFINITY
 clone_color: galera:4 allocation score on controller-2: -INFINITY
-clone_color: galera:4 allocation score on galera-0: 0
-clone_color: galera:4 allocation score on galera-1: 0
-clone_color: galera:4 allocation score on galera-2: 0
+clone_color: galera:4 allocation score on galera-0: 100
+clone_color: galera:4 allocation score on galera-1: 100
+clone_color: galera:4 allocation score on galera-2: 100
 clone_color: galera:4 allocation score on messaging-0: -INFINITY
 clone_color: galera:4 allocation score on messaging-1: -INFINITY
 clone_color: galera:4 allocation score on messaging-2: -INFINITY
 clone_color: galera:5 allocation score on controller-0: -INFINITY
 clone_color: galera:5 allocation score on controller-1: -INFINITY
 clone_color: galera:5 allocation score on controller-2: -INFINITY
-clone_color: galera:5 allocation score on galera-0: 0
-clone_color: galera:5 allocation score on galera-1: 0
-clone_color: galera:5 allocation score on galera-2: 0
+clone_color: galera:5 allocation score on galera-0: 100
+clone_color: galera:5 allocation score on galera-1: 100
+clone_color: galera:5 allocation score on galera-2: 100
 clone_color: galera:5 allocation score on messaging-0: -INFINITY
 clone_color: galera:5 allocation score on messaging-1: -INFINITY
 clone_color: galera:5 allocation score on messaging-2: -INFINITY
 clone_color: galera:6 allocation score on controller-0: -INFINITY
 clone_color: galera:6 allocation score on controller-1: -INFINITY
 clone_color: galera:6 allocation score on controller-2: -INFINITY
-clone_color: galera:6 allocation score on galera-0: 0
-clone_color: galera:6 allocation score on galera-1: 0
-clone_color: galera:6 allocation score on galera-2: 0
+clone_color: galera:6 allocation score on galera-0: 100
+clone_color: galera:6 allocation score on galera-1: 100
+clone_color: galera:6 allocation score on galera-2: 100
 clone_color: galera:6 allocation score on messaging-0: -INFINITY
 clone_color: galera:6 allocation score on messaging-1: -INFINITY
 clone_color: galera:6 allocation score on messaging-2: -INFINITY
 clone_color: galera:7 allocation score on controller-0: -INFINITY
 clone_color: galera:7 allocation score on controller-1: -INFINITY
 clone_color: galera:7 allocation score on controller-2: -INFINITY
-clone_color: galera:7 allocation score on galera-0: 0
-clone_color: galera:7 allocation score on galera-1: 0
-clone_color: galera:7 allocation score on galera-2: 0
+clone_color: galera:7 allocation score on galera-0: 100
+clone_color: galera:7 allocation score on galera-1: 100
+clone_color: galera:7 allocation score on galera-2: 100
 clone_color: galera:7 allocation score on messaging-0: -INFINITY
 clone_color: galera:7 allocation score on messaging-1: -INFINITY
 clone_color: galera:7 allocation score on messaging-2: -INFINITY
 clone_color: galera:8 allocation score on controller-0: -INFINITY
 clone_color: galera:8 allocation score on controller-1: -INFINITY
 clone_color: galera:8 allocation score on controller-2: -INFINITY
-clone_color: galera:8 allocation score on galera-0: 0
-clone_color: galera:8 allocation score on galera-1: 0
-clone_color: galera:8 allocation score on galera-2: 0
+clone_color: galera:8 allocation score on galera-0: 100
+clone_color: galera:8 allocation score on galera-1: 100
+clone_color: galera:8 allocation score on galera-2: 100
 clone_color: galera:8 allocation score on messaging-0: -INFINITY
 clone_color: galera:8 allocation score on messaging-1: -INFINITY
 clone_color: galera:8 allocation score on messaging-2: -INFINITY
@@ -306,54 +306,54 @@ clone_color: redis:2 allocation score on
 clone_color: redis:2 allocation score on messaging-0: -INFINITY
 clone_color: redis:2 allocation score on messaging-1: -INFINITY
 clone_color: redis:2 allocation score on messaging-2: -INFINITY
-clone_color: redis:3 allocation score on controller-0: 0
+clone_color: redis:3 allocation score on controller-0: 1
 clone_color: redis:3 allocation score on controller-1: 0
-clone_color: redis:3 allocation score on controller-2: 0
+clone_color: redis:3 allocation score on controller-2: 1
 clone_color: redis:3 allocation score on galera-0: -INFINITY
 clone_color: redis:3 allocation score on galera-1: -INFINITY
 clone_color: redis:3 allocation score on galera-2: -INFINITY
 clone_color: redis:3 allocation score on messaging-0: -INFINITY
 clone_color: redis:3 allocation score on messaging-1: -INFINITY
 clone_color: redis:3 allocation score on messaging-2: -INFINITY
-clone_color: redis:4 allocation score on controller-0: 0
+clone_color: redis:4 allocation score on controller-0: 1
 clone_color: redis:4 allocation score on controller-1: 0
-clone_color: redis:4 allocation score on controller-2: 0
+clone_color: redis:4 allocation score on controller-2: 1
 clone_color: redis:4 allocation score on galera-0: -INFINITY
 clone_color: redis:4 allocation score on galera-1: -INFINITY
 clone_color: redis:4 allocation score on galera-2: -INFINITY
 clone_color: redis:4 allocation score on messaging-0: -INFINITY
 clone_color: redis:4 allocation score on messaging-1: -INFINITY
 clone_color: redis:4 allocation score on messaging-2: -INFINITY
-clone_color: redis:5 allocation score on controller-0: 0
+clone_color: redis:5 allocation score on controller-0: 1
 clone_color: redis:5 allocation score on controller-1: 0
-clone_color: redis:5 allocation score on controller-2: 0
+clone_color: redis:5 allocation score on controller-2: 1
 clone_color: redis:5 allocation score on galera-0: -INFINITY
 clone_color: redis:5 allocation score on galera-1: -INFINITY
 clone_color: redis:5 allocation score on galera-2: -INFINITY
 clone_color: redis:5 allocation score on messaging-0: -INFINITY
 clone_color: redis:5 allocation score on messaging-1: -INFINITY
 clone_color: redis:5 allocation score on messaging-2: -INFINITY
-clone_color: redis:6 allocation score on controller-0: 0
+clone_color: redis:6 allocation score on controller-0: 1
 clone_color: redis:6 allocation score on controller-1: 0
-clone_color: redis:6 allocation score on controller-2: 0
+clone_color: redis:6 allocation score on controller-2: 1
 clone_color: redis:6 allocation score on galera-0: -INFINITY
 clone_color: redis:6 allocation score on galera-1: -INFINITY
 clone_color: redis:6 allocation score on galera-2: -INFINITY
 clone_color: redis:6 allocation score on messaging-0: -INFINITY
 clone_color: redis:6 allocation score on messaging-1: -INFINITY
 clone_color: redis:6 allocation score on messaging-2: -INFINITY
-clone_color: redis:7 allocation score on controller-0: 0
+clone_color: redis:7 allocation score on controller-0: 1
 clone_color: redis:7 allocation score on controller-1: 0
-clone_color: redis:7 allocation score on controller-2: 0
+clone_color: redis:7 allocation score on controller-2: 1
 clone_color: redis:7 allocation score on galera-0: -INFINITY
 clone_color: redis:7 allocation score on galera-1: -INFINITY
 clone_color: redis:7 allocation score on galera-2: -INFINITY
 clone_color: redis:7 allocation score on messaging-0: -INFINITY
 clone_color: redis:7 allocation score on messaging-1: -INFINITY
 clone_color: redis:7 allocation score on messaging-2: -INFINITY
-clone_color: redis:8 allocation score on controller-0: 0
+clone_color: redis:8 allocation score on controller-0: 1
 clone_color: redis:8 allocation score on controller-1: 0
-clone_color: redis:8 allocation score on controller-2: 0
+clone_color: redis:8 allocation score on controller-2: 1
 clone_color: redis:8 allocation score on galera-0: -INFINITY
 clone_color: redis:8 allocation score on galera-1: -INFINITY
 clone_color: redis:8 allocation score on galera-2: -INFINITY
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-no-resources.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-no-resources.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-no-resources.scores
@@ -30,8 +30,8 @@ clone_color: galera:1 allocation score o
 clone_color: galera:2 allocation score on controller-0: -INFINITY
 clone_color: galera:2 allocation score on controller-1: -INFINITY
 clone_color: galera:2 allocation score on controller-2: -INFINITY
-clone_color: galera:2 allocation score on galera-0: 0
-clone_color: galera:2 allocation score on galera-1: 0
+clone_color: galera:2 allocation score on galera-0: 100
+clone_color: galera:2 allocation score on galera-1: 100
 clone_color: galera:2 allocation score on galera-2: 0
 clone_color: galera:2 allocation score on messaging-0: -INFINITY
 clone_color: galera:2 allocation score on messaging-1: -INFINITY
@@ -39,8 +39,8 @@ clone_color: galera:2 allocation score o
 clone_color: galera:3 allocation score on controller-0: -INFINITY
 clone_color: galera:3 allocation score on controller-1: -INFINITY
 clone_color: galera:3 allocation score on controller-2: -INFINITY
-clone_color: galera:3 allocation score on galera-0: 0
-clone_color: galera:3 allocation score on galera-1: 0
+clone_color: galera:3 allocation score on galera-0: 100
+clone_color: galera:3 allocation score on galera-1: 100
 clone_color: galera:3 allocation score on galera-2: 0
 clone_color: galera:3 allocation score on messaging-0: -INFINITY
 clone_color: galera:3 allocation score on messaging-1: -INFINITY
@@ -48,8 +48,8 @@ clone_color: galera:3 allocation score o
 clone_color: galera:4 allocation score on controller-0: -INFINITY
 clone_color: galera:4 allocation score on controller-1: -INFINITY
 clone_color: galera:4 allocation score on controller-2: -INFINITY
-clone_color: galera:4 allocation score on galera-0: 0
-clone_color: galera:4 allocation score on galera-1: 0
+clone_color: galera:4 allocation score on galera-0: 100
+clone_color: galera:4 allocation score on galera-1: 100
 clone_color: galera:4 allocation score on galera-2: 0
 clone_color: galera:4 allocation score on messaging-0: -INFINITY
 clone_color: galera:4 allocation score on messaging-1: -INFINITY
@@ -57,8 +57,8 @@ clone_color: galera:4 allocation score o
 clone_color: galera:5 allocation score on controller-0: -INFINITY
 clone_color: galera:5 allocation score on controller-1: -INFINITY
 clone_color: galera:5 allocation score on controller-2: -INFINITY
-clone_color: galera:5 allocation score on galera-0: 0
-clone_color: galera:5 allocation score on galera-1: 0
+clone_color: galera:5 allocation score on galera-0: 100
+clone_color: galera:5 allocation score on galera-1: 100
 clone_color: galera:5 allocation score on galera-2: 0
 clone_color: galera:5 allocation score on messaging-0: -INFINITY
 clone_color: galera:5 allocation score on messaging-1: -INFINITY
@@ -66,8 +66,8 @@ clone_color: galera:5 allocation score o
 clone_color: galera:6 allocation score on controller-0: -INFINITY
 clone_color: galera:6 allocation score on controller-1: -INFINITY
 clone_color: galera:6 allocation score on controller-2: -INFINITY
-clone_color: galera:6 allocation score on galera-0: 0
-clone_color: galera:6 allocation score on galera-1: 0
+clone_color: galera:6 allocation score on galera-0: 100
+clone_color: galera:6 allocation score on galera-1: 100
 clone_color: galera:6 allocation score on galera-2: 0
 clone_color: galera:6 allocation score on messaging-0: -INFINITY
 clone_color: galera:6 allocation score on messaging-1: -INFINITY
@@ -75,8 +75,8 @@ clone_color: galera:6 allocation score o
 clone_color: galera:7 allocation score on controller-0: -INFINITY
 clone_color: galera:7 allocation score on controller-1: -INFINITY
 clone_color: galera:7 allocation score on controller-2: -INFINITY
-clone_color: galera:7 allocation score on galera-0: 0
-clone_color: galera:7 allocation score on galera-1: 0
+clone_color: galera:7 allocation score on galera-0: 100
+clone_color: galera:7 allocation score on galera-1: 100
 clone_color: galera:7 allocation score on galera-2: 0
 clone_color: galera:7 allocation score on messaging-0: -INFINITY
 clone_color: galera:7 allocation score on messaging-1: -INFINITY
@@ -84,8 +84,8 @@ clone_color: galera:7 allocation score o
 clone_color: galera:8 allocation score on controller-0: -INFINITY
 clone_color: galera:8 allocation score on controller-1: -INFINITY
 clone_color: galera:8 allocation score on controller-2: -INFINITY
-clone_color: galera:8 allocation score on galera-0: 0
-clone_color: galera:8 allocation score on galera-1: 0
+clone_color: galera:8 allocation score on galera-0: 100
+clone_color: galera:8 allocation score on galera-1: 100
 clone_color: galera:8 allocation score on galera-2: 0
 clone_color: galera:8 allocation score on messaging-0: -INFINITY
 clone_color: galera:8 allocation score on messaging-1: -INFINITY
@@ -306,54 +306,54 @@ clone_color: redis:2 allocation score on
 clone_color: redis:2 allocation score on messaging-0: -INFINITY
 clone_color: redis:2 allocation score on messaging-1: -INFINITY
 clone_color: redis:2 allocation score on messaging-2: -INFINITY
-clone_color: redis:3 allocation score on controller-0: 0
+clone_color: redis:3 allocation score on controller-0: 1
 clone_color: redis:3 allocation score on controller-1: 0
-clone_color: redis:3 allocation score on controller-2: 0
+clone_color: redis:3 allocation score on controller-2: 1
 clone_color: redis:3 allocation score on galera-0: -INFINITY
 clone_color: redis:3 allocation score on galera-1: -INFINITY
 clone_color: redis:3 allocation score on galera-2: -INFINITY
 clone_color: redis:3 allocation score on messaging-0: -INFINITY
 clone_color: redis:3 allocation score on messaging-1: -INFINITY
 clone_color: redis:3 allocation score on messaging-2: -INFINITY
-clone_color: redis:4 allocation score on controller-0: 0
+clone_color: redis:4 allocation score on controller-0: 1
 clone_color: redis:4 allocation score on controller-1: 0
-clone_color: redis:4 allocation score on controller-2: 0
+clone_color: redis:4 allocation score on controller-2: 1
 clone_color: redis:4 allocation score on galera-0: -INFINITY
 clone_color: redis:4 allocation score on galera-1: -INFINITY
 clone_color: redis:4 allocation score on galera-2: -INFINITY
 clone_color: redis:4 allocation score on messaging-0: -INFINITY
 clone_color: redis:4 allocation score on messaging-1: -INFINITY
 clone_color: redis:4 allocation score on messaging-2: -INFINITY
-clone_color: redis:5 allocation score on controller-0: 0
+clone_color: redis:5 allocation score on controller-0: 1
 clone_color: redis:5 allocation score on controller-1: 0
-clone_color: redis:5 allocation score on controller-2: 0
+clone_color: redis:5 allocation score on controller-2: 1
 clone_color: redis:5 allocation score on galera-0: -INFINITY
 clone_color: redis:5 allocation score on galera-1: -INFINITY
 clone_color: redis:5 allocation score on galera-2: -INFINITY
 clone_color: redis:5 allocation score on messaging-0: -INFINITY
 clone_color: redis:5 allocation score on messaging-1: -INFINITY
 clone_color: redis:5 allocation score on messaging-2: -INFINITY
-clone_color: redis:6 allocation score on controller-0: 0
+clone_color: redis:6 allocation score on controller-0: 1
 clone_color: redis:6 allocation score on controller-1: 0
-clone_color: redis:6 allocation score on controller-2: 0
+clone_color: redis:6 allocation score on controller-2: 1
 clone_color: redis:6 allocation score on galera-0: -INFINITY
 clone_color: redis:6 allocation score on galera-1: -INFINITY
 clone_color: redis:6 allocation score on galera-2: -INFINITY
 clone_color: redis:6 allocation score on messaging-0: -INFINITY
 clone_color: redis:6 allocation score on messaging-1: -INFINITY
 clone_color: redis:6 allocation score on messaging-2: -INFINITY
-clone_color: redis:7 allocation score on controller-0: 0
+clone_color: redis:7 allocation score on controller-0: 1
 clone_color: redis:7 allocation score on controller-1: 0
-clone_color: redis:7 allocation score on controller-2: 0
+clone_color: redis:7 allocation score on controller-2: 1
 clone_color: redis:7 allocation score on galera-0: -INFINITY
 clone_color: redis:7 allocation score on galera-1: -INFINITY
 clone_color: redis:7 allocation score on galera-2: -INFINITY
 clone_color: redis:7 allocation score on messaging-0: -INFINITY
 clone_color: redis:7 allocation score on messaging-1: -INFINITY
 clone_color: redis:7 allocation score on messaging-2: -INFINITY
-clone_color: redis:8 allocation score on controller-0: 0
+clone_color: redis:8 allocation score on controller-0: 1
 clone_color: redis:8 allocation score on controller-1: 0
-clone_color: redis:8 allocation score on controller-2: 0
+clone_color: redis:8 allocation score on controller-2: 1
 clone_color: redis:8 allocation score on galera-0: -INFINITY
 clone_color: redis:8 allocation score on galera-1: -INFINITY
 clone_color: redis:8 allocation score on galera-2: -INFINITY
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-unknown.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-unknown.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-unknown.scores
@@ -30,8 +30,8 @@ clone_color: galera:1 allocation score o
 clone_color: galera:2 allocation score on controller-0: -INFINITY
 clone_color: galera:2 allocation score on controller-1: -INFINITY
 clone_color: galera:2 allocation score on controller-2: -INFINITY
-clone_color: galera:2 allocation score on galera-0: 0
-clone_color: galera:2 allocation score on galera-1: 0
+clone_color: galera:2 allocation score on galera-0: 100
+clone_color: galera:2 allocation score on galera-1: 100
 clone_color: galera:2 allocation score on galera-2: 0
 clone_color: galera:2 allocation score on messaging-0: -INFINITY
 clone_color: galera:2 allocation score on messaging-1: -INFINITY
@@ -39,8 +39,8 @@ clone_color: galera:2 allocation score o
 clone_color: galera:3 allocation score on controller-0: -INFINITY
 clone_color: galera:3 allocation score on controller-1: -INFINITY
 clone_color: galera:3 allocation score on controller-2: -INFINITY
-clone_color: galera:3 allocation score on galera-0: 0
-clone_color: galera:3 allocation score on galera-1: 0
+clone_color: galera:3 allocation score on galera-0: 100
+clone_color: galera:3 allocation score on galera-1: 100
 clone_color: galera:3 allocation score on galera-2: 0
 clone_color: galera:3 allocation score on messaging-0: -INFINITY
 clone_color: galera:3 allocation score on messaging-1: -INFINITY
@@ -48,8 +48,8 @@ clone_color: galera:3 allocation score o
 clone_color: galera:4 allocation score on controller-0: -INFINITY
 clone_color: galera:4 allocation score on controller-1: -INFINITY
 clone_color: galera:4 allocation score on controller-2: -INFINITY
-clone_color: galera:4 allocation score on galera-0: 0
-clone_color: galera:4 allocation score on galera-1: 0
+clone_color: galera:4 allocation score on galera-0: 100
+clone_color: galera:4 allocation score on galera-1: 100
 clone_color: galera:4 allocation score on galera-2: 0
 clone_color: galera:4 allocation score on messaging-0: -INFINITY
 clone_color: galera:4 allocation score on messaging-1: -INFINITY
@@ -57,8 +57,8 @@ clone_color: galera:4 allocation score o
 clone_color: galera:5 allocation score on controller-0: -INFINITY
 clone_color: galera:5 allocation score on controller-1: -INFINITY
 clone_color: galera:5 allocation score on controller-2: -INFINITY
-clone_color: galera:5 allocation score on galera-0: 0
-clone_color: galera:5 allocation score on galera-1: 0
+clone_color: galera:5 allocation score on galera-0: 100
+clone_color: galera:5 allocation score on galera-1: 100
 clone_color: galera:5 allocation score on galera-2: 0
 clone_color: galera:5 allocation score on messaging-0: -INFINITY
 clone_color: galera:5 allocation score on messaging-1: -INFINITY
@@ -66,8 +66,8 @@ clone_color: galera:5 allocation score o
 clone_color: galera:6 allocation score on controller-0: -INFINITY
 clone_color: galera:6 allocation score on controller-1: -INFINITY
 clone_color: galera:6 allocation score on controller-2: -INFINITY
-clone_color: galera:6 allocation score on galera-0: 0
-clone_color: galera:6 allocation score on galera-1: 0
+clone_color: galera:6 allocation score on galera-0: 100
+clone_color: galera:6 allocation score on galera-1: 100
 clone_color: galera:6 allocation score on galera-2: 0
 clone_color: galera:6 allocation score on messaging-0: -INFINITY
 clone_color: galera:6 allocation score on messaging-1: -INFINITY
@@ -75,8 +75,8 @@ clone_color: galera:6 allocation score o
 clone_color: galera:7 allocation score on controller-0: -INFINITY
 clone_color: galera:7 allocation score on controller-1: -INFINITY
 clone_color: galera:7 allocation score on controller-2: -INFINITY
-clone_color: galera:7 allocation score on galera-0: 0
-clone_color: galera:7 allocation score on galera-1: 0
+clone_color: galera:7 allocation score on galera-0: 100
+clone_color: galera:7 allocation score on galera-1: 100
 clone_color: galera:7 allocation score on galera-2: 0
 clone_color: galera:7 allocation score on messaging-0: -INFINITY
 clone_color: galera:7 allocation score on messaging-1: -INFINITY
@@ -84,8 +84,8 @@ clone_color: galera:7 allocation score o
 clone_color: galera:8 allocation score on controller-0: -INFINITY
 clone_color: galera:8 allocation score on controller-1: -INFINITY
 clone_color: galera:8 allocation score on controller-2: -INFINITY
-clone_color: galera:8 allocation score on galera-0: 0
-clone_color: galera:8 allocation score on galera-1: 0
+clone_color: galera:8 allocation score on galera-0: 100
+clone_color: galera:8 allocation score on galera-1: 100
 clone_color: galera:8 allocation score on galera-2: 0
 clone_color: galera:8 allocation score on messaging-0: -INFINITY
 clone_color: galera:8 allocation score on messaging-1: -INFINITY
@@ -306,54 +306,54 @@ clone_color: redis:2 allocation score on
 clone_color: redis:2 allocation score on messaging-0: -INFINITY
 clone_color: redis:2 allocation score on messaging-1: -INFINITY
 clone_color: redis:2 allocation score on messaging-2: -INFINITY
-clone_color: redis:3 allocation score on controller-0: 0
+clone_color: redis:3 allocation score on controller-0: 1
 clone_color: redis:3 allocation score on controller-1: 0
-clone_color: redis:3 allocation score on controller-2: 0
+clone_color: redis:3 allocation score on controller-2: 1
 clone_color: redis:3 allocation score on galera-0: -INFINITY
 clone_color: redis:3 allocation score on galera-1: -INFINITY
 clone_color: redis:3 allocation score on galera-2: -INFINITY
 clone_color: redis:3 allocation score on messaging-0: -INFINITY
 clone_color: redis:3 allocation score on messaging-1: -INFINITY
 clone_color: redis:3 allocation score on messaging-2: -INFINITY
-clone_color: redis:4 allocation score on controller-0: 0
+clone_color: redis:4 allocation score on controller-0: 1
 clone_color: redis:4 allocation score on controller-1: 0
-clone_color: redis:4 allocation score on controller-2: 0
+clone_color: redis:4 allocation score on controller-2: 1
 clone_color: redis:4 allocation score on galera-0: -INFINITY
 clone_color: redis:4 allocation score on galera-1: -INFINITY
 clone_color: redis:4 allocation score on galera-2: -INFINITY
 clone_color: redis:4 allocation score on messaging-0: -INFINITY
 clone_color: redis:4 allocation score on messaging-1: -INFINITY
 clone_color: redis:4 allocation score on messaging-2: -INFINITY
-clone_color: redis:5 allocation score on controller-0: 0
+clone_color: redis:5 allocation score on controller-0: 1
 clone_color: redis:5 allocation score on controller-1: 0
-clone_color: redis:5 allocation score on controller-2: 0
+clone_color: redis:5 allocation score on controller-2: 1
 clone_color: redis:5 allocation score on galera-0: -INFINITY
 clone_color: redis:5 allocation score on galera-1: -INFINITY
 clone_color: redis:5 allocation score on galera-2: -INFINITY
 clone_color: redis:5 allocation score on messaging-0: -INFINITY
 clone_color: redis:5 allocation score on messaging-1: -INFINITY
 clone_color: redis:5 allocation score on messaging-2: -INFINITY
-clone_color: redis:6 allocation score on controller-0: 0
+clone_color: redis:6 allocation score on controller-0: 1
 clone_color: redis:6 allocation score on controller-1: 0
-clone_color: redis:6 allocation score on controller-2: 0
+clone_color: redis:6 allocation score on controller-2: 1
 clone_color: redis:6 allocation score on galera-0: -INFINITY
 clone_color: redis:6 allocation score on galera-1: -INFINITY
 clone_color: redis:6 allocation score on galera-2: -INFINITY
 clone_color: redis:6 allocation score on messaging-0: -INFINITY
 clone_color: redis:6 allocation score on messaging-1: -INFINITY
 clone_color: redis:6 allocation score on messaging-2: -INFINITY
-clone_color: redis:7 allocation score on controller-0: 0
+clone_color: redis:7 allocation score on controller-0: 1
 clone_color: redis:7 allocation score on controller-1: 0
-clone_color: redis:7 allocation score on controller-2: 0
+clone_color: redis:7 allocation score on controller-2: 1
 clone_color: redis:7 allocation score on galera-0: -INFINITY
 clone_color: redis:7 allocation score on galera-1: -INFINITY
 clone_color: redis:7 allocation score on galera-2: -INFINITY
 clone_color: redis:7 allocation score on messaging-0: -INFINITY
 clone_color: redis:7 allocation score on messaging-1: -INFINITY
 clone_color: redis:7 allocation score on messaging-2: -INFINITY
-clone_color: redis:8 allocation score on controller-0: 0
+clone_color: redis:8 allocation score on controller-0: 1
 clone_color: redis:8 allocation score on controller-1: 0
-clone_color: redis:8 allocation score on controller-2: 0
+clone_color: redis:8 allocation score on controller-2: 1
 clone_color: redis:8 allocation score on galera-0: -INFINITY
 clone_color: redis:8 allocation score on galera-1: -INFINITY
 clone_color: redis:8 allocation score on galera-2: -INFINITY
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recovery.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recovery.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recovery.scores
@@ -39,54 +39,54 @@ clone_color: galera:2 allocation score o
 clone_color: galera:3 allocation score on controller-0: -INFINITY
 clone_color: galera:3 allocation score on controller-1: -INFINITY
 clone_color: galera:3 allocation score on controller-2: -INFINITY
-clone_color: galera:3 allocation score on galera-0: 0
-clone_color: galera:3 allocation score on galera-1: 0
-clone_color: galera:3 allocation score on galera-2: 0
+clone_color: galera:3 allocation score on galera-0: 100
+clone_color: galera:3 allocation score on galera-1: 100
+clone_color: galera:3 allocation score on galera-2: 100
 clone_color: galera:3 allocation score on messaging-0: -INFINITY
 clone_color: galera:3 allocation score on messaging-1: -INFINITY
 clone_color: galera:3 allocation score on messaging-2: -INFINITY
 clone_color: galera:4 allocation score on controller-0: -INFINITY
 clone_color: galera:4 allocation score on controller-1: -INFINITY
 clone_color: galera:4 allocation score on controller-2: -INFINITY
-clone_color: galera:4 allocation score on galera-0: 0
-clone_color: galera:4 allocation score on galera-1: 0
-clone_color: galera:4 allocation score on galera-2: 0
+clone_color: galera:4 allocation score on galera-0: 100
+clone_color: galera:4 allocation score on galera-1: 100
+clone_color: galera:4 allocation score on galera-2: 100
 clone_color: galera:4 allocation score on messaging-0: -INFINITY
 clone_color: galera:4 allocation score on messaging-1: -INFINITY
 clone_color: galera:4 allocation score on messaging-2: -INFINITY
 clone_color: galera:5 allocation score on controller-0: -INFINITY
 clone_color: galera:5 allocation score on controller-1: -INFINITY
 clone_color: galera:5 allocation score on controller-2: -INFINITY
-clone_color: galera:5 allocation score on galera-0: 0
-clone_color: galera:5 allocation score on galera-1: 0
-clone_color: galera:5 allocation score on galera-2: 0
+clone_color: galera:5 allocation score on galera-0: 100
+clone_color: galera:5 allocation score on galera-1: 100
+clone_color: galera:5 allocation score on galera-2: 100
 clone_color: galera:5 allocation score on messaging-0: -INFINITY
 clone_color: galera:5 allocation score on messaging-1: -INFINITY
 clone_color: galera:5 allocation score on messaging-2: -INFINITY
 clone_color: galera:6 allocation score on controller-0: -INFINITY
 clone_color: galera:6 allocation score on controller-1: -INFINITY
 clone_color: galera:6 allocation score on controller-2: -INFINITY
-clone_color: galera:6 allocation score on galera-0: 0
-clone_color: galera:6 allocation score on galera-1: 0
-clone_color: galera:6 allocation score on galera-2: 0
+clone_color: galera:6 allocation score on galera-0: 100
+clone_color: galera:6 allocation score on galera-1: 100
+clone_color: galera:6 allocation score on galera-2: 100
 clone_color: galera:6 allocation score on messaging-0: -INFINITY
 clone_color: galera:6 allocation score on messaging-1: -INFINITY
 clone_color: galera:6 allocation score on messaging-2: -INFINITY
 clone_color: galera:7 allocation score on controller-0: -INFINITY
 clone_color: galera:7 allocation score on controller-1: -INFINITY
 clone_color: galera:7 allocation score on controller-2: -INFINITY
-clone_color: galera:7 allocation score on galera-0: 0
-clone_color: galera:7 allocation score on galera-1: 0
-clone_color: galera:7 allocation score on galera-2: 0
+clone_color: galera:7 allocation score on galera-0: 100
+clone_color: galera:7 allocation score on galera-1: 100
+clone_color: galera:7 allocation score on galera-2: 100
 clone_color: galera:7 allocation score on messaging-0: -INFINITY
 clone_color: galera:7 allocation score on messaging-1: -INFINITY
 clone_color: galera:7 allocation score on messaging-2: -INFINITY
 clone_color: galera:8 allocation score on controller-0: -INFINITY
 clone_color: galera:8 allocation score on controller-1: -INFINITY
 clone_color: galera:8 allocation score on controller-2: -INFINITY
-clone_color: galera:8 allocation score on galera-0: 0
-clone_color: galera:8 allocation score on galera-1: 0
-clone_color: galera:8 allocation score on galera-2: 0
+clone_color: galera:8 allocation score on galera-0: 100
+clone_color: galera:8 allocation score on galera-1: 100
+clone_color: galera:8 allocation score on galera-2: 100
 clone_color: galera:8 allocation score on messaging-0: -INFINITY
 clone_color: galera:8 allocation score on messaging-1: -INFINITY
 clone_color: galera:8 allocation score on messaging-2: -INFINITY
@@ -306,54 +306,54 @@ clone_color: redis:2 allocation score on
 clone_color: redis:2 allocation score on messaging-0: -INFINITY
 clone_color: redis:2 allocation score on messaging-1: -INFINITY
 clone_color: redis:2 allocation score on messaging-2: -INFINITY
-clone_color: redis:3 allocation score on controller-0: 0
+clone_color: redis:3 allocation score on controller-0: 1
 clone_color: redis:3 allocation score on controller-1: 0
-clone_color: redis:3 allocation score on controller-2: 0
+clone_color: redis:3 allocation score on controller-2: 1
 clone_color: redis:3 allocation score on galera-0: -INFINITY
 clone_color: redis:3 allocation score on galera-1: -INFINITY
 clone_color: redis:3 allocation score on galera-2: -INFINITY
 clone_color: redis:3 allocation score on messaging-0: -INFINITY
 clone_color: redis:3 allocation score on messaging-1: -INFINITY
 clone_color: redis:3 allocation score on messaging-2: -INFINITY
-clone_color: redis:4 allocation score on controller-0: 0
+clone_color: redis:4 allocation score on controller-0: 1
 clone_color: redis:4 allocation score on controller-1: 0
-clone_color: redis:4 allocation score on controller-2: 0
+clone_color: redis:4 allocation score on controller-2: 1
 clone_color: redis:4 allocation score on galera-0: -INFINITY
 clone_color: redis:4 allocation score on galera-1: -INFINITY
 clone_color: redis:4 allocation score on galera-2: -INFINITY
 clone_color: redis:4 allocation score on messaging-0: -INFINITY
 clone_color: redis:4 allocation score on messaging-1: -INFINITY
 clone_color: redis:4 allocation score on messaging-2: -INFINITY
-clone_color: redis:5 allocation score on controller-0: 0
+clone_color: redis:5 allocation score on controller-0: 1
 clone_color: redis:5 allocation score on controller-1: 0
-clone_color: redis:5 allocation score on controller-2: 0
+clone_color: redis:5 allocation score on controller-2: 1
 clone_color: redis:5 allocation score on galera-0: -INFINITY
 clone_color: redis:5 allocation score on galera-1: -INFINITY
 clone_color: redis:5 allocation score on galera-2: -INFINITY
 clone_color: redis:5 allocation score on messaging-0: -INFINITY
 clone_color: redis:5 allocation score on messaging-1: -INFINITY
 clone_color: redis:5 allocation score on messaging-2: -INFINITY
-clone_color: redis:6 allocation score on controller-0: 0
+clone_color: redis:6 allocation score on controller-0: 1
 clone_color: redis:6 allocation score on controller-1: 0
-clone_color: redis:6 allocation score on controller-2: 0
+clone_color: redis:6 allocation score on controller-2: 1
 clone_color: redis:6 allocation score on galera-0: -INFINITY
 clone_color: redis:6 allocation score on galera-1: -INFINITY
 clone_color: redis:6 allocation score on galera-2: -INFINITY
 clone_color: redis:6 allocation score on messaging-0: -INFINITY
 clone_color: redis:6 allocation score on messaging-1: -INFINITY
 clone_color: redis:6 allocation score on messaging-2: -INFINITY
-clone_color: redis:7 allocation score on controller-0: 0
+clone_color: redis:7 allocation score on controller-0: 1
 clone_color: redis:7 allocation score on controller-1: 0
-clone_color: redis:7 allocation score on controller-2: 0
+clone_color: redis:7 allocation score on controller-2: 1
 clone_color: redis:7 allocation score on galera-0: -INFINITY
 clone_color: redis:7 allocation score on galera-1: -INFINITY
 clone_color: redis:7 allocation score on galera-2: -INFINITY
 clone_color: redis:7 allocation score on messaging-0: -INFINITY
 clone_color: redis:7 allocation score on messaging-1: -INFINITY
 clone_color: redis:7 allocation score on messaging-2: -INFINITY
-clone_color: redis:8 allocation score on controller-0: 0
+clone_color: redis:8 allocation score on controller-0: 1
 clone_color: redis:8 allocation score on controller-1: 0
-clone_color: redis:8 allocation score on controller-2: 0
+clone_color: redis:8 allocation score on controller-2: 1
 clone_color: redis:8 allocation score on galera-0: -INFINITY
 clone_color: redis:8 allocation score on galera-1: -INFINITY
 clone_color: redis:8 allocation score on galera-2: -INFINITY
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/versioned-resources.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/versioned-resources.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/versioned-resources.dot
@@ -111,26 +111,34 @@ digraph "g" {
 "vtest5:4_start_0 rhel7-3" -> "vtest5-clone_running_0" [ style = bold]
 "vtest5:4_start_0 rhel7-3" -> "vtest5:4_monitor_10000 rhel7-3" [ style = bold]
 "vtest5:4_start_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
+"vtest7-master_promote_0" -> "vtest7:0_promote_0 rhel7-5" [ style = bold]
+"vtest7-master_promote_0" [ style=bold color="green" fontcolor="orange"]
+"vtest7-master_promoted_0" [ style=bold color="green" fontcolor="orange"]
+"vtest7-master_running_0" -> "vtest7-master_promote_0" [ style = bold]
 "vtest7-master_running_0" [ style=bold color="green" fontcolor="orange"]
 "vtest7-master_start_0" -> "vtest7-master_running_0" [ style = bold]
-"vtest7-master_start_0" -> "vtest7:0_start_0 rhel7-4" [ style = bold]
-"vtest7-master_start_0" -> "vtest7:1_start_0 rhel7-5" [ style = bold]
+"vtest7-master_start_0" -> "vtest7:0_start_0 rhel7-5" [ style = bold]
+"vtest7-master_start_0" -> "vtest7:1_start_0 rhel7-4" [ style = bold]
 "vtest7-master_start_0" -> "vtest7:2_start_0 rhel7-1" [ style = bold]
 "vtest7-master_start_0" -> "vtest7:3_start_0 rhel7-2" [ style = bold]
 "vtest7-master_start_0" -> "vtest7:4_start_0 rhel7-3" [ style = bold]
 "vtest7-master_start_0" [ style=bold color="green" fontcolor="orange"]
-"vtest7:0_monitor_0 rhel7-4" -> "vtest7-master_start_0" [ style = bold]
-"vtest7:0_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
-"vtest7:0_monitor_11000 rhel7-4" [ style=bold color="green" fontcolor="black"]
-"vtest7:0_start_0 rhel7-4" -> "vtest7-master_running_0" [ style = bold]
-"vtest7:0_start_0 rhel7-4" -> "vtest7:0_monitor_11000 rhel7-4" [ style = bold]
-"vtest7:0_start_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
-"vtest7:1_monitor_0 rhel7-5" -> "vtest7-master_start_0" [ style = bold]
-"vtest7:1_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
-"vtest7:1_monitor_11000 rhel7-5" [ style=bold color="green" fontcolor="black"]
-"vtest7:1_start_0 rhel7-5" -> "vtest7-master_running_0" [ style = bold]
-"vtest7:1_start_0 rhel7-5" -> "vtest7:1_monitor_11000 rhel7-5" [ style = bold]
-"vtest7:1_start_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
+"vtest7:0_monitor_0 rhel7-5" -> "vtest7-master_start_0" [ style = bold]
+"vtest7:0_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
+"vtest7:0_monitor_10000 rhel7-5" [ style=bold color="green" fontcolor="black"]
+"vtest7:0_promote_0 rhel7-5" -> "vtest7-master_promoted_0" [ style = bold]
+"vtest7:0_promote_0 rhel7-5" -> "vtest7:0_monitor_10000 rhel7-5" [ style = bold]
+"vtest7:0_promote_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
+"vtest7:0_start_0 rhel7-5" -> "vtest7-master_running_0" [ style = bold]
+"vtest7:0_start_0 rhel7-5" -> "vtest7:0_monitor_10000 rhel7-5" [ style = bold]
+"vtest7:0_start_0 rhel7-5" -> "vtest7:0_promote_0 rhel7-5" [ style = bold]
+"vtest7:0_start_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
+"vtest7:1_monitor_0 rhel7-4" -> "vtest7-master_start_0" [ style = bold]
+"vtest7:1_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"vtest7:1_monitor_11000 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"vtest7:1_start_0 rhel7-4" -> "vtest7-master_running_0" [ style = bold]
+"vtest7:1_start_0 rhel7-4" -> "vtest7:1_monitor_11000 rhel7-4" [ style = bold]
+"vtest7:1_start_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
 "vtest7:2_monitor_0 rhel7-1" -> "vtest7-master_start_0" [ style = bold]
 "vtest7:2_monitor_0 rhel7-1" [ style=bold color="green" fontcolor="black"]
 "vtest7:2_monitor_11000 rhel7-1" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/versioned-resources.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/versioned-resources.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/versioned-resources.exp
@@ -812,13 +812,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="61" operation="start" operation_key="vtest7:2_start_0" on_node="rhel7-1" on_node_uuid="1"/>
+        <rsc_op id="62" operation="start" operation_key="vtest7:2_start_0" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="37">
+  <synapse id="38">
     <action_set>
-      <rsc_op id="61" operation="start" operation_key="vtest7:2_start_0" on_node="rhel7-1" on_node_uuid="1">
+      <rsc_op id="62" operation="start" operation_key="vtest7:2_start_0" on_node="rhel7-1" on_node_uuid="1">
         <primitive id="vtest7" long-id="vtest7:2" class="ocf" provider="kgaillot" type="vstateful"/>
         <versioned_attributes>
           <instance_attributes id="vtest7-instance_attributes-gt" score="2">
@@ -833,11 +833,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="67" operation="start" operation_key="vtest7-master_start_0"/>
+        <pseudo_event id="68" operation="start" operation_key="vtest7-master_start_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="38">
+  <synapse id="39">
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="vtest7:2_monitor_0" on_node="rhel7-1" on_node_uuid="1">
         <primitive id="vtest7" long-id="vtest7:2" class="ocf" provider="kgaillot" type="vstateful"/>
@@ -854,9 +854,9 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="39">
+  <synapse id="40">
     <action_set>
-      <rsc_op id="64" operation="monitor" operation_key="vtest7:3_monitor_11000" on_node="rhel7-2" on_node_uuid="2">
+      <rsc_op id="65" operation="monitor" operation_key="vtest7:3_monitor_11000" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="vtest7" long-id="vtest7:3" class="ocf" provider="kgaillot" type="vstateful"/>
         <versioned_attributes>
           <instance_attributes id="vtest7-instance_attributes-gt" score="2">
@@ -871,13 +871,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="63" operation="start" operation_key="vtest7:3_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="64" operation="start" operation_key="vtest7:3_start_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="40">
+  <synapse id="41">
     <action_set>
-      <rsc_op id="63" operation="start" operation_key="vtest7:3_start_0" on_node="rhel7-2" on_node_uuid="2">
+      <rsc_op id="64" operation="start" operation_key="vtest7:3_start_0" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="vtest7" long-id="vtest7:3" class="ocf" provider="kgaillot" type="vstateful"/>
         <versioned_attributes>
           <instance_attributes id="vtest7-instance_attributes-gt" score="2">
@@ -892,11 +892,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="67" operation="start" operation_key="vtest7-master_start_0"/>
+        <pseudo_event id="68" operation="start" operation_key="vtest7-master_start_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="41">
+  <synapse id="42">
     <action_set>
       <rsc_op id="13" operation="monitor" operation_key="vtest7:3_monitor_0" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="vtest7" long-id="vtest7:3" class="ocf" provider="kgaillot" type="vstateful"/>
@@ -913,9 +913,9 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="42">
+  <synapse id="43">
     <action_set>
-      <rsc_op id="66" operation="monitor" operation_key="vtest7:4_monitor_11000" on_node="rhel7-3" on_node_uuid="3">
+      <rsc_op id="67" operation="monitor" operation_key="vtest7:4_monitor_11000" on_node="rhel7-3" on_node_uuid="3">
         <primitive id="vtest7" long-id="vtest7:4" class="ocf" provider="kgaillot" type="vstateful"/>
         <versioned_attributes>
           <instance_attributes id="vtest7-instance_attributes-gt" score="2">
@@ -930,13 +930,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="65" operation="start" operation_key="vtest7:4_start_0" on_node="rhel7-3" on_node_uuid="3"/>
+        <rsc_op id="66" operation="start" operation_key="vtest7:4_start_0" on_node="rhel7-3" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="43">
+  <synapse id="44">
     <action_set>
-      <rsc_op id="65" operation="start" operation_key="vtest7:4_start_0" on_node="rhel7-3" on_node_uuid="3">
+      <rsc_op id="66" operation="start" operation_key="vtest7:4_start_0" on_node="rhel7-3" on_node_uuid="3">
         <primitive id="vtest7" long-id="vtest7:4" class="ocf" provider="kgaillot" type="vstateful"/>
         <versioned_attributes>
           <instance_attributes id="vtest7-instance_attributes-gt" score="2">
@@ -951,11 +951,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="67" operation="start" operation_key="vtest7-master_start_0"/>
+        <pseudo_event id="68" operation="start" operation_key="vtest7-master_start_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="44">
+  <synapse id="45">
     <action_set>
       <rsc_op id="20" operation="monitor" operation_key="vtest7:4_monitor_0" on_node="rhel7-3" on_node_uuid="3">
         <primitive id="vtest7" long-id="vtest7:4" class="ocf" provider="kgaillot" type="vstateful"/>
@@ -972,36 +972,60 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="45" priority="1000000">
+  <synapse id="46" priority="1000000">
+    <action_set>
+      <pseudo_event id="73" operation="promoted" operation_key="vtest7-master_promoted_0">
+        <attributes CRM_meta_clone_max="5" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
+      </pseudo_event>
+    </action_set>
+    <inputs>
+      <trigger>
+        <rsc_op id="58" operation="promote" operation_key="vtest7:0_promote_0" on_node="rhel7-5" on_node_uuid="5"/>
+      </trigger>
+    </inputs>
+  </synapse>
+  <synapse id="47">
     <action_set>
-      <pseudo_event id="68" operation="running" operation_key="vtest7-master_running_0">
+      <pseudo_event id="72" operation="promote" operation_key="vtest7-master_promote_0">
         <attributes CRM_meta_clone_max="5" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="57" operation="start" operation_key="vtest7:0_start_0" on_node="rhel7-4" on_node_uuid="4"/>
+        <pseudo_event id="69" operation="running" operation_key="vtest7-master_running_0"/>
       </trigger>
+    </inputs>
+  </synapse>
+  <synapse id="48" priority="1000000">
+    <action_set>
+      <pseudo_event id="69" operation="running" operation_key="vtest7-master_running_0">
+        <attributes CRM_meta_clone_max="5" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
+      </pseudo_event>
+    </action_set>
+    <inputs>
       <trigger>
-        <rsc_op id="59" operation="start" operation_key="vtest7:1_start_0" on_node="rhel7-5" on_node_uuid="5"/>
+        <rsc_op id="57" operation="start" operation_key="vtest7:0_start_0" on_node="rhel7-5" on_node_uuid="5"/>
       </trigger>
       <trigger>
-        <rsc_op id="61" operation="start" operation_key="vtest7:2_start_0" on_node="rhel7-1" on_node_uuid="1"/>
+        <rsc_op id="60" operation="start" operation_key="vtest7:1_start_0" on_node="rhel7-4" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <rsc_op id="63" operation="start" operation_key="vtest7:3_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="62" operation="start" operation_key="vtest7:2_start_0" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="65" operation="start" operation_key="vtest7:4_start_0" on_node="rhel7-3" on_node_uuid="3"/>
+        <rsc_op id="64" operation="start" operation_key="vtest7:3_start_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="67" operation="start" operation_key="vtest7-master_start_0"/>
+        <rsc_op id="66" operation="start" operation_key="vtest7:4_start_0" on_node="rhel7-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <pseudo_event id="68" operation="start" operation_key="vtest7-master_start_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="46">
+  <synapse id="49">
     <action_set>
-      <pseudo_event id="67" operation="start" operation_key="vtest7-master_start_0">
+      <pseudo_event id="68" operation="start" operation_key="vtest7-master_start_0">
         <attributes CRM_meta_clone_max="5" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
@@ -1016,45 +1040,45 @@
         <rsc_op id="20" operation="monitor" operation_key="vtest7:4_monitor_0" on_node="rhel7-3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="27" operation="monitor" operation_key="vtest7:0_monitor_0" on_node="rhel7-4" on_node_uuid="4"/>
+        <rsc_op id="27" operation="monitor" operation_key="vtest7:1_monitor_0" on_node="rhel7-4" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <rsc_op id="34" operation="monitor" operation_key="vtest7:1_monitor_0" on_node="rhel7-5" on_node_uuid="5"/>
+        <rsc_op id="34" operation="monitor" operation_key="vtest7:0_monitor_0" on_node="rhel7-5" on_node_uuid="5"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="47">
+  <synapse id="50">
     <action_set>
-      <pseudo_event id="82" operation="running" operation_key="grouptest2_running_0">
+      <pseudo_event id="83" operation="running" operation_key="grouptest2_running_0">
         <attributes CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="75" operation="start" operation_key="gvtest1_start_0" on_node="rhel7-4" on_node_uuid="4"/>
+        <rsc_op id="76" operation="start" operation_key="gvtest1_start_0" on_node="rhel7-4" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <rsc_op id="77" operation="start" operation_key="gvtest2_start_0" on_node="rhel7-4" on_node_uuid="4"/>
+        <rsc_op id="78" operation="start" operation_key="gvtest2_start_0" on_node="rhel7-4" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <rsc_op id="79" operation="start" operation_key="gvtest3_start_0" on_node="rhel7-4" on_node_uuid="4"/>
+        <rsc_op id="80" operation="start" operation_key="gvtest3_start_0" on_node="rhel7-4" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <pseudo_event id="81" operation="start" operation_key="grouptest2_start_0"/>
+        <pseudo_event id="82" operation="start" operation_key="grouptest2_start_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="48">
+  <synapse id="51">
     <action_set>
-      <pseudo_event id="81" operation="start" operation_key="grouptest2_start_0">
+      <pseudo_event id="82" operation="start" operation_key="grouptest2_start_0">
         <attributes CRM_meta_timeout="90000" />
       </pseudo_event>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="49">
+  <synapse id="52">
     <action_set>
-      <rsc_op id="76" operation="monitor" operation_key="gvtest1_monitor_10000" on_node="rhel7-4" on_node_uuid="4">
+      <rsc_op id="77" operation="monitor" operation_key="gvtest1_monitor_10000" on_node="rhel7-4" on_node_uuid="4">
         <primitive id="gvtest1" class="ocf" provider="kgaillot" type="vdummy"/>
         <versioned_attributes>
           <instance_attributes id="grouptest2-instance_attributes-gt" score="3">
@@ -1078,13 +1102,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="75" operation="start" operation_key="gvtest1_start_0" on_node="rhel7-4" on_node_uuid="4"/>
+        <rsc_op id="76" operation="start" operation_key="gvtest1_start_0" on_node="rhel7-4" on_node_uuid="4"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="50">
+  <synapse id="53">
     <action_set>
-      <rsc_op id="75" operation="start" operation_key="gvtest1_start_0" on_node="rhel7-4" on_node_uuid="4">
+      <rsc_op id="76" operation="start" operation_key="gvtest1_start_0" on_node="rhel7-4" on_node_uuid="4">
         <primitive id="gvtest1" class="ocf" provider="kgaillot" type="vdummy"/>
         <versioned_attributes>
           <instance_attributes id="grouptest2-instance_attributes-gt" score="3">
@@ -1123,11 +1147,11 @@
         <rsc_op id="35" operation="monitor" operation_key="gvtest1_monitor_0" on_node="rhel7-5" on_node_uuid="5"/>
       </trigger>
       <trigger>
-        <pseudo_event id="81" operation="start" operation_key="grouptest2_start_0"/>
+        <pseudo_event id="82" operation="start" operation_key="grouptest2_start_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="51">
+  <synapse id="54">
     <action_set>
       <rsc_op id="35" operation="monitor" operation_key="gvtest1_monitor_0" on_node="rhel7-5" on_node_uuid="5">
         <primitive id="gvtest1" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1153,7 +1177,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="52">
+  <synapse id="55">
     <action_set>
       <rsc_op id="28" operation="monitor" operation_key="gvtest1_monitor_0" on_node="rhel7-4" on_node_uuid="4">
         <primitive id="gvtest1" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1179,7 +1203,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="53">
+  <synapse id="56">
     <action_set>
       <rsc_op id="21" operation="monitor" operation_key="gvtest1_monitor_0" on_node="rhel7-3" on_node_uuid="3">
         <primitive id="gvtest1" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1205,7 +1229,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="54">
+  <synapse id="57">
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="gvtest1_monitor_0" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="gvtest1" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1231,7 +1255,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="55">
+  <synapse id="58">
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="gvtest1_monitor_0" on_node="rhel7-1" on_node_uuid="1">
         <primitive id="gvtest1" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1257,9 +1281,9 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="56">
+  <synapse id="59">
     <action_set>
-      <rsc_op id="78" operation="monitor" operation_key="gvtest2_monitor_10000" on_node="rhel7-4" on_node_uuid="4">
+      <rsc_op id="79" operation="monitor" operation_key="gvtest2_monitor_10000" on_node="rhel7-4" on_node_uuid="4">
         <primitive id="gvtest2" class="ocf" provider="kgaillot" type="vdummy"/>
         <versioned_attributes>
           <instance_attributes id="grouptest2-instance_attributes-gt" score="3">
@@ -1283,13 +1307,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="77" operation="start" operation_key="gvtest2_start_0" on_node="rhel7-4" on_node_uuid="4"/>
+        <rsc_op id="78" operation="start" operation_key="gvtest2_start_0" on_node="rhel7-4" on_node_uuid="4"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="57">
+  <synapse id="60">
     <action_set>
-      <rsc_op id="77" operation="start" operation_key="gvtest2_start_0" on_node="rhel7-4" on_node_uuid="4">
+      <rsc_op id="78" operation="start" operation_key="gvtest2_start_0" on_node="rhel7-4" on_node_uuid="4">
         <primitive id="gvtest2" class="ocf" provider="kgaillot" type="vdummy"/>
         <versioned_attributes>
           <instance_attributes id="grouptest2-instance_attributes-gt" score="3">
@@ -1328,14 +1352,14 @@
         <rsc_op id="36" operation="monitor" operation_key="gvtest2_monitor_0" on_node="rhel7-5" on_node_uuid="5"/>
       </trigger>
       <trigger>
-        <rsc_op id="75" operation="start" operation_key="gvtest1_start_0" on_node="rhel7-4" on_node_uuid="4"/>
+        <rsc_op id="76" operation="start" operation_key="gvtest1_start_0" on_node="rhel7-4" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <pseudo_event id="81" operation="start" operation_key="grouptest2_start_0"/>
+        <pseudo_event id="82" operation="start" operation_key="grouptest2_start_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="58">
+  <synapse id="61">
     <action_set>
       <rsc_op id="36" operation="monitor" operation_key="gvtest2_monitor_0" on_node="rhel7-5" on_node_uuid="5">
         <primitive id="gvtest2" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1361,7 +1385,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="59">
+  <synapse id="62">
     <action_set>
       <rsc_op id="29" operation="monitor" operation_key="gvtest2_monitor_0" on_node="rhel7-4" on_node_uuid="4">
         <primitive id="gvtest2" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1387,7 +1411,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="60">
+  <synapse id="63">
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="gvtest2_monitor_0" on_node="rhel7-3" on_node_uuid="3">
         <primitive id="gvtest2" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1413,7 +1437,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="61">
+  <synapse id="64">
     <action_set>
       <rsc_op id="15" operation="monitor" operation_key="gvtest2_monitor_0" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="gvtest2" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1439,7 +1463,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="62">
+  <synapse id="65">
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="gvtest2_monitor_0" on_node="rhel7-1" on_node_uuid="1">
         <primitive id="gvtest2" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1465,9 +1489,9 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="63">
+  <synapse id="66">
     <action_set>
-      <rsc_op id="80" operation="monitor" operation_key="gvtest3_monitor_10000" on_node="rhel7-4" on_node_uuid="4">
+      <rsc_op id="81" operation="monitor" operation_key="gvtest3_monitor_10000" on_node="rhel7-4" on_node_uuid="4">
         <primitive id="gvtest3" class="ocf" provider="kgaillot" type="vdummy"/>
         <versioned_attributes>
           <instance_attributes id="grouptest2-instance_attributes-gt" score="3">
@@ -1491,13 +1515,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="79" operation="start" operation_key="gvtest3_start_0" on_node="rhel7-4" on_node_uuid="4"/>
+        <rsc_op id="80" operation="start" operation_key="gvtest3_start_0" on_node="rhel7-4" on_node_uuid="4"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="64">
+  <synapse id="67">
     <action_set>
-      <rsc_op id="79" operation="start" operation_key="gvtest3_start_0" on_node="rhel7-4" on_node_uuid="4">
+      <rsc_op id="80" operation="start" operation_key="gvtest3_start_0" on_node="rhel7-4" on_node_uuid="4">
         <primitive id="gvtest3" class="ocf" provider="kgaillot" type="vdummy"/>
         <versioned_attributes>
           <instance_attributes id="grouptest2-instance_attributes-gt" score="3">
@@ -1536,14 +1560,14 @@
         <rsc_op id="37" operation="monitor" operation_key="gvtest3_monitor_0" on_node="rhel7-5" on_node_uuid="5"/>
       </trigger>
       <trigger>
-        <rsc_op id="77" operation="start" operation_key="gvtest2_start_0" on_node="rhel7-4" on_node_uuid="4"/>
+        <rsc_op id="78" operation="start" operation_key="gvtest2_start_0" on_node="rhel7-4" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <pseudo_event id="81" operation="start" operation_key="grouptest2_start_0"/>
+        <pseudo_event id="82" operation="start" operation_key="grouptest2_start_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="65">
+  <synapse id="68">
     <action_set>
       <rsc_op id="37" operation="monitor" operation_key="gvtest3_monitor_0" on_node="rhel7-5" on_node_uuid="5">
         <primitive id="gvtest3" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1569,7 +1593,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="66">
+  <synapse id="69">
     <action_set>
       <rsc_op id="30" operation="monitor" operation_key="gvtest3_monitor_0" on_node="rhel7-4" on_node_uuid="4">
         <primitive id="gvtest3" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1595,7 +1619,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="67">
+  <synapse id="70">
     <action_set>
       <rsc_op id="23" operation="monitor" operation_key="gvtest3_monitor_0" on_node="rhel7-3" on_node_uuid="3">
         <primitive id="gvtest3" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1621,7 +1645,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="68">
+  <synapse id="71">
     <action_set>
       <rsc_op id="16" operation="monitor" operation_key="gvtest3_monitor_0" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="gvtest3" class="ocf" provider="kgaillot" type="vdummy"/>
@@ -1647,7 +1671,7 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="69">
+  <synapse id="72">
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="gvtest3_monitor_0" on_node="rhel7-1" on_node_uuid="1">
         <primitive id="gvtest3" class="ocf" provider="kgaillot" type="vdummy"/>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/versioned-resources.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/versioned-resources.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/versioned-resources.scores
@@ -34,31 +34,31 @@ clone_color: vtest7-master allocation sc
 clone_color: vtest7-master allocation score on rhel7-3: 0
 clone_color: vtest7-master allocation score on rhel7-4: 0
 clone_color: vtest7-master allocation score on rhel7-5: 0
-clone_color: vtest7:0 allocation score on rhel7-1: 0
-clone_color: vtest7:0 allocation score on rhel7-2: 0
-clone_color: vtest7:0 allocation score on rhel7-3: 0
-clone_color: vtest7:0 allocation score on rhel7-4: 0
-clone_color: vtest7:0 allocation score on rhel7-5: 0
-clone_color: vtest7:1 allocation score on rhel7-1: 0
-clone_color: vtest7:1 allocation score on rhel7-2: 0
-clone_color: vtest7:1 allocation score on rhel7-3: 0
-clone_color: vtest7:1 allocation score on rhel7-4: 0
-clone_color: vtest7:1 allocation score on rhel7-5: 0
-clone_color: vtest7:2 allocation score on rhel7-1: 0
-clone_color: vtest7:2 allocation score on rhel7-2: 0
-clone_color: vtest7:2 allocation score on rhel7-3: 0
-clone_color: vtest7:2 allocation score on rhel7-4: 0
-clone_color: vtest7:2 allocation score on rhel7-5: 0
-clone_color: vtest7:3 allocation score on rhel7-1: 0
-clone_color: vtest7:3 allocation score on rhel7-2: 0
-clone_color: vtest7:3 allocation score on rhel7-3: 0
-clone_color: vtest7:3 allocation score on rhel7-4: 0
-clone_color: vtest7:3 allocation score on rhel7-5: 0
-clone_color: vtest7:4 allocation score on rhel7-1: 0
-clone_color: vtest7:4 allocation score on rhel7-2: 0
-clone_color: vtest7:4 allocation score on rhel7-3: 0
-clone_color: vtest7:4 allocation score on rhel7-4: 0
-clone_color: vtest7:4 allocation score on rhel7-5: 0
+clone_color: vtest7:0 allocation score on rhel7-1: 5
+clone_color: vtest7:0 allocation score on rhel7-2: 5
+clone_color: vtest7:0 allocation score on rhel7-3: 5
+clone_color: vtest7:0 allocation score on rhel7-4: 5
+clone_color: vtest7:0 allocation score on rhel7-5: 10
+clone_color: vtest7:1 allocation score on rhel7-1: 5
+clone_color: vtest7:1 allocation score on rhel7-2: 5
+clone_color: vtest7:1 allocation score on rhel7-3: 5
+clone_color: vtest7:1 allocation score on rhel7-4: 5
+clone_color: vtest7:1 allocation score on rhel7-5: 10
+clone_color: vtest7:2 allocation score on rhel7-1: 5
+clone_color: vtest7:2 allocation score on rhel7-2: 5
+clone_color: vtest7:2 allocation score on rhel7-3: 5
+clone_color: vtest7:2 allocation score on rhel7-4: 5
+clone_color: vtest7:2 allocation score on rhel7-5: 10
+clone_color: vtest7:3 allocation score on rhel7-1: 5
+clone_color: vtest7:3 allocation score on rhel7-2: 5
+clone_color: vtest7:3 allocation score on rhel7-3: 5
+clone_color: vtest7:3 allocation score on rhel7-4: 5
+clone_color: vtest7:3 allocation score on rhel7-5: 10
+clone_color: vtest7:4 allocation score on rhel7-1: 5
+clone_color: vtest7:4 allocation score on rhel7-2: 5
+clone_color: vtest7:4 allocation score on rhel7-3: 5
+clone_color: vtest7:4 allocation score on rhel7-4: 5
+clone_color: vtest7:4 allocation score on rhel7-5: 10
 group_color: grouptest2 allocation score on rhel7-1: 0
 group_color: grouptest2 allocation score on rhel7-2: 0
 group_color: grouptest2 allocation score on rhel7-3: 0
@@ -134,33 +134,33 @@ native_color: vtest5:4 allocation score
 native_color: vtest5:4 allocation score on rhel7-3: 0
 native_color: vtest5:4 allocation score on rhel7-4: -INFINITY
 native_color: vtest5:4 allocation score on rhel7-5: -INFINITY
-native_color: vtest7:0 allocation score on rhel7-1: 0
-native_color: vtest7:0 allocation score on rhel7-2: 0
-native_color: vtest7:0 allocation score on rhel7-3: 0
-native_color: vtest7:0 allocation score on rhel7-4: 0
-native_color: vtest7:0 allocation score on rhel7-5: 0
-native_color: vtest7:1 allocation score on rhel7-1: 0
-native_color: vtest7:1 allocation score on rhel7-2: 0
-native_color: vtest7:1 allocation score on rhel7-3: 0
-native_color: vtest7:1 allocation score on rhel7-4: -INFINITY
-native_color: vtest7:1 allocation score on rhel7-5: 0
-native_color: vtest7:2 allocation score on rhel7-1: 0
-native_color: vtest7:2 allocation score on rhel7-2: 0
-native_color: vtest7:2 allocation score on rhel7-3: 0
+native_color: vtest7:0 allocation score on rhel7-1: 5
+native_color: vtest7:0 allocation score on rhel7-2: 5
+native_color: vtest7:0 allocation score on rhel7-3: 5
+native_color: vtest7:0 allocation score on rhel7-4: 5
+native_color: vtest7:0 allocation score on rhel7-5: 10
+native_color: vtest7:1 allocation score on rhel7-1: 5
+native_color: vtest7:1 allocation score on rhel7-2: 5
+native_color: vtest7:1 allocation score on rhel7-3: 5
+native_color: vtest7:1 allocation score on rhel7-4: 5
+native_color: vtest7:1 allocation score on rhel7-5: -INFINITY
+native_color: vtest7:2 allocation score on rhel7-1: 5
+native_color: vtest7:2 allocation score on rhel7-2: 5
+native_color: vtest7:2 allocation score on rhel7-3: 5
 native_color: vtest7:2 allocation score on rhel7-4: -INFINITY
 native_color: vtest7:2 allocation score on rhel7-5: -INFINITY
 native_color: vtest7:3 allocation score on rhel7-1: -INFINITY
-native_color: vtest7:3 allocation score on rhel7-2: 0
-native_color: vtest7:3 allocation score on rhel7-3: 0
+native_color: vtest7:3 allocation score on rhel7-2: 5
+native_color: vtest7:3 allocation score on rhel7-3: 5
 native_color: vtest7:3 allocation score on rhel7-4: -INFINITY
 native_color: vtest7:3 allocation score on rhel7-5: -INFINITY
 native_color: vtest7:4 allocation score on rhel7-1: -INFINITY
 native_color: vtest7:4 allocation score on rhel7-2: -INFINITY
-native_color: vtest7:4 allocation score on rhel7-3: 0
+native_color: vtest7:4 allocation score on rhel7-3: 5
 native_color: vtest7:4 allocation score on rhel7-4: -INFINITY
 native_color: vtest7:4 allocation score on rhel7-5: -INFINITY
-vtest7:0 promotion score on rhel7-4: -1
-vtest7:1 promotion score on rhel7-5: -1
-vtest7:2 promotion score on rhel7-1: -1
-vtest7:3 promotion score on rhel7-2: -1
-vtest7:4 promotion score on rhel7-3: -1
+vtest7:0 promotion score on rhel7-5: 10
+vtest7:1 promotion score on rhel7-4: 5
+vtest7:2 promotion score on rhel7-1: 5
+vtest7:3 promotion score on rhel7-2: 5
+vtest7:4 promotion score on rhel7-3: 5
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/versioned-resources.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/versioned-resources.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/versioned-resources.summary
@@ -22,8 +22,8 @@ Transition Summary:
  * Start   vtest5:2	(rhel7-1)
  * Start   vtest5:3	(rhel7-2)
  * Start   vtest5:4	(rhel7-3)
- * Start   vtest7:0	(rhel7-4)
- * Start   vtest7:1	(rhel7-5)
+ * Promote    vtest7:0        ( Stopped -> Master rhel7-5 )  
+ * Start      vtest7:1        (                   rhel7-4 )  
  * Start   vtest7:2	(rhel7-1)
  * Start   vtest7:3	(rhel7-2)
  * Start   vtest7:4	(rhel7-3)
@@ -48,8 +48,8 @@ Executing cluster transition:
  * Resource action: vtest5:3        monitor on rhel7-2
  * Resource action: vtest5:4        monitor on rhel7-3
  * Pseudo action:   vtest5-clone_start_0
- * Resource action: vtest7:0        monitor on rhel7-4
- * Resource action: vtest7:1        monitor on rhel7-5
+ * Resource action: vtest7:0        monitor on rhel7-5
+ * Resource action: vtest7:1        monitor on rhel7-4
  * Resource action: vtest7:2        monitor on rhel7-1
  * Resource action: vtest7:3        monitor on rhel7-2
  * Resource action: vtest7:4        monitor on rhel7-3
@@ -78,8 +78,8 @@ Executing cluster transition:
  * Resource action: vtest5:3        start on rhel7-2
  * Resource action: vtest5:4        start on rhel7-3
  * Pseudo action:   vtest5-clone_running_0
- * Resource action: vtest7:0        start on rhel7-4
- * Resource action: vtest7:1        start on rhel7-5
+ * Resource action: vtest7:0        start on rhel7-5
+ * Resource action: vtest7:1        start on rhel7-4
  * Resource action: vtest7:2        start on rhel7-1
  * Resource action: vtest7:3        start on rhel7-2
  * Resource action: vtest7:4        start on rhel7-3
@@ -93,15 +93,18 @@ Executing cluster transition:
  * Resource action: vtest5:2        monitor=10000 on rhel7-1
  * Resource action: vtest5:3        monitor=10000 on rhel7-2
  * Resource action: vtest5:4        monitor=10000 on rhel7-3
- * Resource action: vtest7:0        monitor=11000 on rhel7-4
- * Resource action: vtest7:1        monitor=11000 on rhel7-5
+ * Resource action: vtest7:1        monitor=11000 on rhel7-4
  * Resource action: vtest7:2        monitor=11000 on rhel7-1
  * Resource action: vtest7:3        monitor=11000 on rhel7-2
  * Resource action: vtest7:4        monitor=11000 on rhel7-3
+ * Pseudo action:   vtest7-master_promote_0
  * Pseudo action:   grouptest2_running_0
  * Resource action: gvtest1         monitor=10000 on rhel7-4
  * Resource action: gvtest2         monitor=10000 on rhel7-4
  * Resource action: gvtest3         monitor=10000 on rhel7-4
+ * Resource action: vtest7:0        promote on rhel7-5
+ * Pseudo action:   vtest7-master_promoted_0
+ * Resource action: vtest7:0        monitor=10000 on rhel7-5
 
 Revised cluster status:
 Online: [ rhel7-1 rhel7-2 rhel7-3 rhel7-4 rhel7-5 ]
@@ -112,7 +115,8 @@ Online: [ rhel7-1 rhel7-2 rhel7-3 rhel7-
  Clone Set: vtest5-clone [vtest5]
      Started: [ rhel7-1 rhel7-2 rhel7-3 rhel7-4 rhel7-5 ]
  Master/Slave Set: vtest7-master [vtest7]
-     Slaves: [ rhel7-1 rhel7-2 rhel7-3 rhel7-4 rhel7-5 ]
+     Masters: [ rhel7-5 ]
+     Slaves: [ rhel7-1 rhel7-2 rhel7-3 rhel7-4 ]
  Resource Group: grouptest2
      gvtest1	(ocf::kgaillot:vdummy):	Started rhel7-4
      gvtest2	(ocf::kgaillot:vdummy):	Started rhel7-4
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail3.scores
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-fail3.scores
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail3.scores
@@ -13,10 +13,10 @@ clone_color: W:0 allocation score on 18n
 clone_color: W:0 allocation score on dvossel-laptop2: 11
 clone_color: W:1 allocation score on 18builder: 0
 clone_color: W:1 allocation score on 18node1: 0
-clone_color: W:1 allocation score on dvossel-laptop2: 0
+clone_color: W:1 allocation score on dvossel-laptop2: 10
 clone_color: W:2 allocation score on 18builder: 0
 clone_color: W:2 allocation score on 18node1: 0
-clone_color: W:2 allocation score on dvossel-laptop2: 0
+clone_color: W:2 allocation score on dvossel-laptop2: 10
 clone_color: X-master allocation score on 18builder: 0
 clone_color: X-master allocation score on 18node1: 0
 clone_color: X-master allocation score on dvossel-laptop2: 0
@@ -25,10 +25,10 @@ clone_color: X:0 allocation score on 18n
 clone_color: X:0 allocation score on dvossel-laptop2: 11
 clone_color: X:1 allocation score on 18builder: 0
 clone_color: X:1 allocation score on 18node1: 0
-clone_color: X:1 allocation score on dvossel-laptop2: 0
+clone_color: X:1 allocation score on dvossel-laptop2: 10
 clone_color: X:2 allocation score on 18builder: 0
 clone_color: X:2 allocation score on 18node1: 0
-clone_color: X:2 allocation score on dvossel-laptop2: 0
+clone_color: X:2 allocation score on dvossel-laptop2: 10
 native_color: 18builder allocation score on 18builder: -INFINITY
 native_color: 18builder allocation score on 18node1: -INFINITY
 native_color: 18builder allocation score on dvossel-laptop2: 0
